# $Id: smeserver-lazy_admin_tools.spec,v 1.14 2013/06/26 23:08:52 unnilennium Exp $
# Authority: unnilennium
# Name: Jean-Philippe Pialasse

Summary: Lazy Admin's Tools is a set of scripts to automate admin tasks
%define name smeserver-lazy_admin_tools
%define version 1.1
%define release 1%{?dist}
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tgz
License: GPL
Group: Networking/Tools
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildArchitectures: noarch
Requires: e-smith-base
Requires:  SMEServer >= 8.0
Obsoletes: e-smith-lazy_admin_tools
BuildRequires: e-smith-devtools >= 1.13.1-03
#Patch0: smeserver-lazy_admin_tools-1.0-patch0.patch
#Patch1: smeserver-lazy_admin_tools-1.0-patch1.patch
#Patch2: smeserver-lazy_admin_tools-1.0-patch2.patch 
#Patch3: smeserver-lazy_admin_tools-1.0-patch3.patch
#Patch4: smeserver-lazy_admin_tools-1.0-patch4.patch
#Patch5: smeserver-lazy_admin_tools-1.0-patch5.patch
#Patch6: smeserver-lazy_admin_tools-1.0-patch6.patch
#Patch7: smeserver-lazy_admin_tools-1.0-patch7.patch
#Patch8: smeserver-lazy_admin_tools-1.0-patch8.patch

%description
The Lazy Administrator's Tools is a set of scripts designed to automate
batch tasks and jobs for E-Smith/SME servers.
    * lat-user       : add/delete users
    * lat-group      : add/delete groups
    * lat pseudonyms : add/delete e-mail pseudonyms for individual users
    * lat-ibays      : add/delete ibays
    * lat-quota      : set the disk quota for individual users
    * lat-domains    : add domainnames the server
    * lat-hosts      : add hostnames to the server
    * lat-procmail   : activate or deactivate procmail for individual users
    * lat-pptp       : activate or deactivate pptp access for individual users
    * lat-dump       : create input files for the above lat-tools, based on the
                       configuration files of the SME servers.
    * lat-shadow     : add users' encrypted password in /etc/shadow file
    
See man lat-tools for general help on the usage of the toolkit, or run the
command with the --help switch to get specific help.

%changelog
* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.1.-1.sme
- fix manual [SME: 7702]

* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.0-10.sme
- fix doc in lat-procmail [SME: 7707]
- fix lat-shadow issue [SME: 7709]
- patch7
- patch8

* Wed Jun 26 2013  JP PIALASSE tests@pialasse.com  1.1.-1.sme
- fix manual [SME: 7702]

* Tue Jun 25 2013  JP PIALASSE tests@pialasse.com  1.0-9.sme
- updated patch4 and applied this time
- patch5 to correct lat-user -n option errors 
- patch6 to update manual
- also to check for mailsorting contrib in procmail lat

* Mon Jun 24 2013 JP PIALASSE tests@pialasse.com  1.0-6.sme
- fixed  Can't enable procmail [SME: 7139]
- fixed  Error during creation of pptp access with lazy admin tools [SME: 7695]
- patch4
* Mon May 13 2013 JP PIALASSE tests@pialasse.com  1.0-5.sme
- fixed lat-procmail [SME: 7139]
- fixed removing user with home dir not in /home/e-smith/files/users/ [SME: 7162]
- create basic SME pseudonyms using option -n for nicknames [SME: 7284]
- patch3
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-4.sme
- fixed empty  Gid property  creation on user update bug [SME: 7192]
- added lat-shadow binary [SME: 7137] 
- patch1 and patch2
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-3.sme
- fixed warning on empty group creation/update bug [SME: 7202]
- fixed uid changed on user update bug [SME: 7196]
- fixed warning on user creation/update bug [SME: 7192]
- patch0
* Sat Feb 02 2013 JP PIALASSE tests@pialasse.com  1.0-2.sme
- binary are not executable [SME: 7138]
* Sat May 26 2012 JP PIALASSE tests@pialasse.com  1.0-1.sme
- Initial version

%prep
%setup
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1

%build

perl createman

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f e-smith-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file '/usr/sbin/lat-domains' 'attr(755,root,root)'  \
    --file '/usr/sbin/lat-dump' 'attr(755,root,root)'  \
    --file /usr/sbin/lat-groups 'attr(755,root,root)'  \
    --file /usr/sbin/lat-hosts 'attr(755,root,root)'  \
    --file /usr/sbin/lat-ibays 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pptp 'attr(755,root,root)'  \
    --file /usr/sbin/lat-procmail 'attr(755,root,root)'  \
    --file /usr/sbin/lat-pseudonyms 'attr(755,root,root)'  \
    --file /usr/sbin/lat-quota 'attr(755,root,root)'  \
    --file /usr/sbin/lat-restore 'attr(755,root,root)'  \
    --file /usr/sbin/lat-users 'attr(755,root,root)'  \
    --file /usr/sbin/lat-shadow 'attr(755,root,root)'  \
    > %{name}-%{version}-filelist 



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

